RTEMS: cpukit/include/rtems/rtems/partmp.h File Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Structures | Enumerations | Functions
partmp.h File Reference

MP Support in Partition Manager. More...

`#include <rtems/score/mpciimpl.h>`

Go to the source code of this file.

## Data Structures
struct | Partition_MP_Packet

## Enumerations
enum | Partition_MP_Remote_operations { PARTITION_MP_ANNOUNCE_CREATE = 0 , PARTITION_MP_ANNOUNCE_DELETE = 1 , PARTITION_MP_EXTRACT_PROXY = 2 , PARTITION_MP_GET_BUFFER_REQUEST = 3 , PARTITION_MP_GET_BUFFER_RESPONSE = 4 , PARTITION_MP_RETURN_BUFFER_REQUEST = 5 , PARTITION_MP_RETURN_BUFFER_RESPONSE = 6 }

## Functions
RTEMS_INLINE_ROUTINE bool | _Partition_MP_Is_remote (Objects_Id id)
void | _Partition_MP_Send_process_packet (Partition_MP_Remote_operations operation, Objects_Id partition_id, rtems_name name, Objects_Id proxy_id)
| Partition_MP_Send_process_packet.
rtems_status_code | _Partition_MP_Get_buffer (rtems_id id, void **buffer)
| Issues a remote rtems_partition_get_buffer() request.
rtems_status_code | _Partition_MP_Return_buffer (rtems_id id, void *buffer)
| Issues a remote rtems_partition_return_buffer() request.

## Detailed Description

MP Support in Partition Manager.

This include file contains all the constants and structures associated with the Multiprocessing Support in the Partition Manager.

## Enumeration Type Documentation

## ◆ Partition_MP_Remote_operations

enum Partition_MP_Remote_operations

The following enumerated type defines the list of remote partition operations.

## Function Documentation

## ◆ _Partition_MP_Send_process_packet()

void _Partition_MP_Send_process_packet | ( | Partition_MP_Remote_operations | operation,
|  | Objects_Id | partition_id,
|  | rtems_name | name,
|  | Objects_Id | proxy_id
| ) |  |

Partition_MP_Send_process_packet.

Multiprocessing Support for the Partition Manager

This routine performs a remote procedure call so that a process operation can be performed on another node.